## visad.data.fits
Class FitsAdapter

    java.lang.Object
      visad.data.fits.FitsAdapter

public class FitsAdapter
extends Object

Field Summary
`(package private) Data[]` `data`
`(package private) Fits` `fits`
`(package private) ExceptionStack` `stack`

Constructor Summary
`FitsAdapter()`
`FitsAdapter(String filename)`
`FitsAdapter(URL url)`

Method Summary
`void` `buildData()`
`void` `clearExceptionStack()`
`(package private) Data[]` `getData()`
`void` `save(String name, Data data, boolean replace)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fits

    Fits fits

### data

    Data[] data

### stack

    ExceptionStack stack

Constructor Detail

### FitsAdapter

    public FitsAdapter()
                throws VisADException

### FitsAdapter

    public FitsAdapter(String filename)
                throws VisADException

### FitsAdapter

    public FitsAdapter(URL url)
                throws VisADException

Method Detail

### buildData

    public void buildData()

### clearExceptionStack

    public void clearExceptionStack()

### getData

    Data[] getData()
             throws ExceptionStack,
                    RemoteException,
                    VisADException

  Throws:
    `ExceptionStack`
    `RemoteException`
    `VisADException`

### save

    public void save(String name,
                     Data data,
                     boolean replace)
              throws IOException,
                     RemoteException,
                     VisADException

  Throws:
    `IOException`
    `RemoteException`
    `VisADException`